% script : demo_fft01.m : 
% calcul des coefficients de Fourier de la fonction f(t)=2e^(2 i pi t*(-4))+(17.3+3i)* e^(2 i pi t*9)
% sur [0,1] et reconstruction du signal en utilisant les fft et ifft.
%
%
%************ Fonctions auxiliaires utilises ************
%
%    filtrefourier, recomfourier
%
% *********************************************************
%
% 2007 by          Jrme BASTIEN
%                  Universit Claude Bernard Lyon I, UFRSTAPS, Laboratoire CRIS, Villeurbanne
% E-mail : jerome.bastien@univ-lyon1.fr

N=input('Entrez la valeur de N : ');
T=1;
t=(0:N-1)*T/N;
y=2*exp(2*i*pi*t*(-4))+(17.3+3*i)*exp(2*i*pi*t*9);
nmin=-floor((N-1)/2);
nmax=floor(N/2);
c=filtrefourier(y);
if (-4>=nmin)
    % affichage de c_{-4} en thorie gal  2
    disp('affichage de c_{-4} en thorie gal  2')
    disp(c(-4-nmin+1));
else
   disp('attention N est trop petit ');
   disp('Affichage des coefficients de Fourier');
   disp(c);
   error('Fin du programme');
end
if (9<=nmax)
    % affichage de c_{9} en thorie gal  17.3+3i
    disp('affichage de c_{9} en thorie gal  17.3+3i')
    disp(c(9-nmin+1));
else
   disp('attention N est trop petit ');
   disp('Affichage des coefficients de Fourier');
   disp(c);
   error('Fin du programme');
end
% affichage des autres coefficients en thorie nul !
auxind=setdiff(1:N-1,[-4-nmin+1,9-nmin+1]);
disp('affichage du plus grand modules des autres coefficients en thorie nuls')
disp(max(abs(c(auxind))));

% reconstruction par ifft 
ybis=recomfourier(c);
% affichage de l'cart entre la fonction intiale et la fonction reconstruite en thorie nul
disp('affichage de l''cart entre la fonction initiale et la fonction reconstruite en thorie nul');
disp(max(abs(y-ybis)));










