function [F,E]=dsere(fe,y)


% dtermination de la densit spectrale d'nergie d'une fonction f relle chantillonne
%
% *********************************************************
%  [F,E]=dsere(fe,y) : renvoie des valeurs 
%     (frquences,nerge de la frquence)
%  pour f  valeurs dans R, priodique de priode T connue  
%  via f_k=f(kT/N) o l appartient  {0,...,N-1}
%
%  * Variables d'entre : 
%     *  fe : frquence d'chantillonnage
%     *  y : tableau contenant les complexes (y_k) pour k dans {0,...,N-1}
%  * Variables de sortie : 
%     *  F : vecteurs des frquences discrtes
%     *  E : vecteurs des nergies associes
%
%
% ************ Fonctions auxiliaires utilises ************
%
%    aucune
%
% *********************************************************
%
%  2007 by          Jrme BASTIEN
%                  Universit Claude Bernard Lyon I, UFRSTAPS, Laboratoire CRIS, Villeurbanne
%                  E-Mail : jerome.bastien@univ-lyon1.fr

N=length(y);
ft0=fe/N;
if (N==0)
   error('N est nul : arrt du programme'); 
end
% Attention au facteur N !!!
Y=(1/N)*fft(y);
if (rem(N,2)==0)
    F=(0:N/2)*ft0;
    E=[abs(Y(1))^2, 2*(abs(Y(2:N/2))).^2, abs(Y(N/2+1))^2];
else
    F=(0:(N-1)/2)*ft0;
    E=[abs(Y(1))^2, 2*(abs(Y(2:(N-1)/2+1))).^2];
end