function g=interpft_perso(q,y)

% Interpolation trigomtrique grce aux coefficients de Fourier
%
%
% *********************************************************
%  g=interpft_perso(q,y) : calcul des valeurs g_k=F_N(k/q fe) pour k dans {0,...,qN-1}
%   partir des valeurs f_k de f en nombre N chantillonns  la frquence d'cbantillonnage fe.
%  F_N est le polynme trigomtrique prenant les valeurs f_k en k/fe pour k dans {0,...,N-1}
%  et q est un nombre entier suprieur ou gal  1.
% 
%  * Variables d'entre : 
%     * entier q
%     *  y : tableau contenant les complexes (y_k) pour k dans {0,...,N-1}
%  * Variables de sortie : 
%     *  g : tableau contenant les complexes (g_k) pour k dans {0,...,qN-1}
%
%   FONCTION INSPIREE DE interpft
%
% ************ Fonctions auxiliaires utilises ************
%
%    aucune
%
% *********************************************************
%
%  2007 by          Jrme BASTIEN
%                  Universit Claude Bernard Lyon I, UFRSTAPS, Laboratoire CRIS, Villeurbanne
%                  E-Mail : jerome.bastien@univ-lyon1.fr

N=length(y);
if (N==0)
   error('N est nul : arrt du programme'); 
end
if (q==1)
    g=y;   
else
    nmin=-floor((N-1)/2);
    nmax=floor(N/2);
    Y=fft(y);
    Z=[Y(1:nmax+1),zeros(1,N*(q-1)),Y(nmax+2:N)];
    g=q*ifft(Z);
    if isreal(y)
        g=real(g);
    end
end