function [g0,g1,g2]=interpftder(fe,q,y)

% COMMENTER 
% Interpolation trigomtrique grce aux coefficients de Fourier
%
%
% *********************************************************
%  g=interpft_perso(q,y) : calcul des valeurs g_k=F_N(k/q fe) pour k dans {0,...,qN-1}
%   partir des valeurs f_k de f en nombre N chantillonns  la frquence d'cbantillonnage fe.
%  F_N est le polynme trigomtrique prenant les valeurs f_k en k/fe pour k dans {0,...,N-1}
%  et q est un nombre entier suprieur ou gal  1.
% 
%  * Variables d'entre : 
%     * entier q
%     *  y : tableau contenant les complexes (y_k) pour k dans {0,...,N-1}
%  * Variables de sortie : 
%     *  g : tableau contenant les complexes (g_k) pour k dans {0,...,qN-1}
%
%   FONCTION INSPIREE DE interpft
%
% ************ Fonctions auxiliaires utilises ************
%
%    aucune
%
% *********************************************************
%
%  2007 by          Jrme BASTIEN
%                  Universit Claude Bernard Lyon I, UFRSTAPS, Laboratoire CRIS, Villeurbanne
%                  E-Mail : jerome.bastien@univ-lyon1.fr

nout=nargout;
N=length(y);
if (N==0)
   error('N est nul : arrt du programme'); 
end
if ((q==1)&(nout==1))
    g0=y;   
else
    nmin=-floor((N-1)/2);
    nmax=floor(N/2);
    Y=fft(y);
    Z0=Y;
    if (nout>=2)
        Z1=zeros(1,N);
        Z1(2:nmax+1)=(2*i*pi*fe/N)*(1:nmax).*Y(2:nmax+1);
        Z1(nmax+2:end)=(2*i*pi*fe/N)*(nmin:-1).*Y(nmax+2:end);
    end
    if (nout>=3)
        Z2=zeros(1,N);
        Z2(2:nmax+1)=-(2*pi*fe/N)^2*((1:nmax).^2).*Y(2:nmax+1);
        Z2(nmax+2:end)=-(2*pi*fe/N)^2*((nmin:-1).^2).*Y(nmax+2:end);
    end
    if (q~=1)
        Z0=[Z0(1:nmax+1),zeros(1,N*(q-1)),Z0(nmax+2:N)];
        if (nout>=2)
            Z1=[Z1(1:nmax+1),zeros(1,N*(q-1)),Z1(nmax+2:N)];
        end
        if (nout>=3)
            Z2=[Z2(1:nmax+1),zeros(1,N*(q-1)),Z2(nmax+2:N)];
        end
    end
    g0=q*ifft(Z0);
    if isreal(y)
        g0=real(g0);
    end
    if (nout>=2)
        g1=q*ifft(Z1);
        if isreal(y)
            g1=real(g1);
        end
    end
    if (nout>=3)
        g2=q*ifft(Z2);
        if isreal(y)
            g2=real(g2);
        end
    end
end