function y=rpg(x)

% rpg : Rduction du nombre de points graphique : chantillonne une partie ou la totalit d'un vecteur ligne, tableau ou rectangulaire
%
% *********************************************************
% y=rpg(x) : chantillonne une partie ou la totalit d'un vecteur ligne, tableau ou rectangulaire
% de telle sorte que y ne contiennent au maximum que rpgmax points (pour ne pas 
% surcharger les graphiques en mmoire) pour un tableau ligne ou colonne 
% ou au maximum rpgmax lignes pour un tableau rectangulaire
%
%  * Variables d'entre : 
%     *  x : tableau ligne ou colonne
%  ATTENTION : utilisation de la variable globale : rpgmax
%  * Variables de sortie : 
%     *  y : de mme type que x chantillonn
%
%
% ************ Fonctions auxiliaires utilises ************
%
%    aucune
%
% *********************************************************
%
%  2007 by          Jrme BASTIEN
%                  Universit Claude Bernard Lyon I, UFRSTAPS, Laboratoire CRIS, Villeurbanne
%                  E-Mail : jerome.bastien@univ-lyon1.fr

global rpgmax;
if isempty(rpgmax)
    error('ATTENTION, la variable globale rpgmax n''a pas t initialise');
end
[n,p]=size(x);
if ((n~=1)&(p~=1))
    if (rpgmax==1)
        y=x(fix((n+1)/2),:);
    else
        if n<rpgmax
            y=x;    
        else
            y=x(floor(((n-1)*(1:rpgmax)+rpgmax-n)/(rpgmax-1)),:);
        end
    end
else
    if (p==1)
        xb=x.';
        pb=n;
    else
        xb=x;
        pb=p;
    end    
    if pb<rpgmax
        y=xb;
    else
        if (rpgmax==1)
            y=xb(fix((pb+1)/2));
        else
            y=xb(floor(((pb-1)*(1:rpgmax)+rpgmax-pb)/(rpgmax-1)));
        end
    end
    if (p==1)
        y=y.';
    end
end