function stocke_tableau_txt(X,r,s,ch,idenfic,titre,nomcol)

% stockage de tableau sur fichier texte
%
% *********************************************************
%  stocke_tableau_txt(X,r,s,ch,idenfic,titre,nomcol) :  
%  stockage des coordonnes dans un fichier texte avec autant de lignes et de colonnes que X
%  (pour post-traitement par excell ; sparateur : espace) avec un ventuel titre,
%  d'ventuels noms de haut de colonnes
%
%  Variables d'entres : 
%     *  X :  tableau de type (n,p) 
%     * entiers 
%       *  r : nombre de chiffres significatifs minimum  crire
%       *  s : nombre de chiffres aprs la virgule (le point en fait) (non utilis en notation scientifique : mettre matrice vide)
%  * ch chane de caractre gale 
%    * 'e' : notation scientifique (virgule flottante)
%    * 'f' : notation avec firgule fixe
%  *   idenfic : identifiant du fichier de stockage :
%             * si c'est une chane de caractre, stockage sur fichier texte de nom idenfic (sans extension txt)
%             * si c'est un entier, stockage sur le fichier dj ouvert de numro idenfic
%                    dans ce dernier cas, il faut faire avant l'appel de la fonction :
%                           idenfic=fopen(nomfichier,'w') et aprs l'appel de la fonction 
%                           fclose(idenfic);
%  * Variables d'entres optionnelles dans l'ordre :
%    * titre : chaine contenant le titre pour le  haut du tableau
%    * nomcol : cellule de taille (1,p) ; chaque case contient
%                 une lgende pour le haut de la i-ime colonne
%
%
% ************ Fonctions auxiliaires utilises ************
%
%    aucune
%
% *********************************************************
%
% 2007 by          Jrme BASTIEN
%                  Universit Claude Bernard Lyon I, UFRSTAPS, Laboratoire CRIS, Villeurbanne
%                  E-Mail : jerome.bastien@univ-lyon1.fr
%

[n,p]=size(X);
if (~isnumeric(idenfic))
    fid=fopen([idenfic,'.txt'],'w');
else
    fid=idenfic;
end
if (nargin>=6)
    fprintf(fid,' ');
    fprintf(fid,titre);
    fprintf(fid,['\n']);
end
if (nargin>=7)
    fprintf(fid,' ');
    for i=1:p-1
        fprintf(fid,[nomcol{i},' ']);
    end
    fprintf(fid,nomcol{p});
    fprintf(fid,['\n']);
end
if strcmp(ch,'f')
    auxicha=[' % ',num2str(r),'.',num2str(s),'f']; 
else
    auxicha=[' % ',num2str(r),'e']; 
end
if (p>=3)
    auxicha=repmat(auxicha,1,p-1);
end
if strcmp(ch,'f')
    auxicha=[' % ',num2str(r),'.',num2str(s),'f',auxicha,'\n']; 
else
    auxicha=[' % ',num2str(r),'e',auxicha,'\n']; 
end
fprintf(fid,auxicha,X.');
if (~isnumeric(idenfic))
    fclose(fid);
end

