function [XG,YG]=CG_segments(alphaa,CX,CY)

% Dtermination des positions des centre de gravit de chacun des segments
%
% *********************************************************
%  [XG,YG]=CG_segments(alphaa,CX,CY) : 
%
%  * Variables d'entres : donnes du kinogrammes  la frquence d'acquisition fe
%     *  CX :  tableau de type (n+1,p) o pour tout i dans {0,...,n}, 
%                                         pour tout j dans {1,...,p},
%              CX(i+1,j) est l'abscisse de A_j  l'instant t_i=i/fe
%     *  CY :  tableau de type (n+1,p) o pour tout i dans {0,...,n}, 
%                                         pour tout j dans {1,...,p},
%              CY(i+1,j) est l'ordonne de A_j  l'instant t_i=i/fe
%     * alphaa : tableau contenant les p-1 coefficients proximaux
%                du centre de gravit sur le segment [A_{i},A_{i+1}].
%                L'extrmit proximale est ici A_i !!!!!
%  * Variables de sortie :
%     *  XG :  tableau de type (n+1,p-1) o pour tout i dans {0,...,n}, 
%                                          pour tout j dans {1,...,p-1},
%              XG(i+1,j) est l'abscisse de G_j, centre de gravit de
%              A_j(alphaa(j)),A_{j+1}(1-alphaa(j))
%     *  YG :  tableau de type (n+1,p-1) o pour tout i dans {0,...,n}, 
%                                          pour tout j dans {1,...,p-1},
%              YG(i+1,j) est l'ordonne de G_j, centre de gravit de
%              A_j(alphaa(j)),A_{j+1}(1-alphaa(j))
%
%
% ************ Fonctions auxiliaires utilises ************
%
%    aucune 
%
% *********************************************************
%
% 2007 by          Jrme BASTIEN
%                  Universit Claude Bernard Lyon I, UFRSTAPS, Laboratoire CRIS, Villeurbanne
%                  E-Mail : jerome.bastien@univ-lyon1.fr

q=size(CX);
q=q(1);
XG=(diff(CX.')).'.*alphaa(ones(1,q),:)+CX(:,1:end-1);
YG=(diff(CY.')).'.*alphaa(ones(1,q),:)+CY(:,1:end-1);