function [XGtot,YGtot]=CG_total(mpar,XG,YG)

% Dtermination des positions des centre de gravit de l'ensemble 
%
% *********************************************************
%  [XGtot,YGtot]=CG_total(mpar,XG,YG) : 
%
%  * Variables d'entres : donnes du kinogrammes  la frquence d'acquisition fe
%     *  XG :  tableau de type (n+1,p-1) o pour tout i dans {0,...,n}, 
%                                          pour tout j dans {1,...,p-1},
%              CX(i+1,j) est l'abscisse de G_j, centre de gravit de
%              A_j(alphaa(j)),A_{j+1}(1-alphaa(j))
%     *  YG :  tableau de type (n+1,p-1) o pour tout i dans {0,...,n}, 
%                                          pour tout j dans {1,...,p-1},
%              CX(i+1,j) est l'ordonne de G_j, centre de gravit de
%              A_j(alphaa(j)),A_{j+1}(1-alphaa(j))
%     * mpar : tableau contenant les p-1 coefficients gaux  la masse du segments [A_{i},A_{i+1}] divis par la masse totale
%  * Variables de sortie :
%     *  XGtot :  tableau de type (n+1,1) o pour tout i dans {0,...,n}, 
%                 XGtot(i+1,j) est l'abscisse de G, centre de gravit de
%                 de l'ensemble
%     *  YGtot :  tableau de type (n+1,1) o pour tout i dans {0,...,n}, 
%                 XGtot(i+1,j) est l'ordonne de G, centre de gravit de
%                 de l'ensemble
%
%
% ************ Fonctions auxiliaires utilises ************
%
%    aucune 
%
% *********************************************************
%
% 2007 by          Jrme BASTIEN
%                  Universit Claude Bernard Lyon I, UFRSTAPS, Laboratoire CRIS, Villeurbanne
%                  E-Mail : jerome.bastien@univ-lyon1.fr

XGtot=XG*mpar.';
YGtot=YG*mpar.';