function afficheangle(fe,theta)

% Affichage d'angles en degrs au cours du temps 
%
% *********************************************************
% afficheangle(fe,theta) : 
%
%  * Variables d'entres : 
%     * fe : frquence d'acquisition
%     * theta : tableau de type (n+1,p-1) o pour tout i dans {0,...,n}, 
%                                         pour tout j dans {1,...,p-1},
%              theta(i+1,j) est un angle  l'instant t_i=i/fe
%
%
% ************ Fonctions auxiliaires utilises ************
%
%    aucune 
%
% *********************************************************
%
% 2007 by          Jrme BASTIEN
%                  Universit Claude Bernard Lyon I, UFRSTAPS, Laboratoire CRIS, Villeurbanne
%                  E-Mail : jerome.bastien@univ-lyon1.fr

[np,oubli]=size(theta);
temps=(0:np-1)/fe;
legne=[''];
[q,j]=size(theta);
for k=1:j-1
   legne=[legne,'''',int2str(k),'''',','];
end
legne=[legne,'''',int2str(j),''''];
clf;
hold on;
title('angles (en degrs) au cours du temps');
plot(temps,theta/pi*180);
dud=version;
if (str2num(dud(1))>=7)
    eval(['legend(',legne,',''location'',''best'')']);
else
    eval(['legend(',legne,',0)']);
end  
hold off;