function Y=cumsumsym(X)

%  somme cumule pour des tableaux symboliques rectangulaires
%
% *********************************************************
%  Y=cumsumsym(X) :  renvoie la somme cumule comme 
%  la fonction cumsum, qui ne marche pas pour des symboliques !
%
%	* Variables d'entres :
%     *  X :  tableau de type (n,p) qui peut tre symbolique
%  * Variables de sortie :
%     *  Y :  cumsum(X)
%
% Cette fonction n'est pas vectorielle, mais elle marche pour la 
% la classe symbolique.
%
% ************ Fonctions auxiliaires utilises ************
%
%    aucune
%
% *********************************************************
%
% 2007 by          Jrme BASTIEN
%                  Universit Claude Bernard Lyon I, UFRSTAPS, Laboratoire CRIS, Villeurbanne
%                  E-Mail : jerome.bastien@univ-lyon1.fr

if (length(size(X))>2)
    error('la variable d''entre n''est pas un tabeau rectangulaire');    
end    
[n,p]=size(X);
if ((n==1)|(p==1))
    Y(1)=X(1);
    if (n==1)
        if (p>=2)
            s=X(1);
            for j=2:p
                s=s+X(j);
                Y(j)=s;
            end
        end
    else
        if (n>=2)
            s=X(1);
            for j=2:n
                s=s+X(j);
                Y(j)=s;
            end
        end
        Y=Y.';      
    end
else
    Y(1,:)=X(1,:);
    if (n>=2)
        s=X(1,:);
        for j=2:n
            s=s+X(j,:);
            Y(j,:)=s;
        end
    end
end