function Y=cumsumsym2(X)

%  somme cumule en ligne pour des tableaux symboliques rectangulaires
%
% *********************************************************
%  Y=cumsumsym2(X) :  renvoie la somme cumule en ligne comme 
%  la fonction cumsum(X,2), qui ne marche pas pour des symboliques !
%
%	* Variables d'entres :
%     *  X :  tableau de type (n,p) qui peut tre symbolique
%  * Variables de sortie :
%     *  Y :  cumsum(X,2)
%
% Cette fonction n'est pas vectorielle, mais elle marche pour la 
% la classe symbolique.
%
% ************ Fonctions auxiliaires utilises ************
%
%    aucune
%
% *********************************************************
%
% 2007 by          Jrme BASTIEN
%                  Universit Claude Bernard Lyon I, UFRSTAPS, Laboratoire CRIS, Villeurbanne
%                  E-Mail : jerome.bastien@univ-lyon1.fr

if (length(size(X))>2)
    error('la variable d''entre n''est pas un tabeau rectangulaire');    
end    
[n,p]=size(X);
if (p==1)
    Y=X;
else
    Y(:,1)=X(:,1);
    s=X(:,1);
    for j=2:p
        s=s+X(:,j);
        Y(:,j)=s;
    end
end