% script : exemple_calculapproch_vi_acc.m : approximation des drives
% premires et secondes de la fonction f(x)=exp(x)+cos(x) sur [0,2].
%
% 2007 by          Jrme BASTIEN
%                  Universit Claude Bernard Lyon I, UFRSTAPS, Laboratoire CRIS, Villeurbanne
%                  E-Mail : jerome.bastien@univ-lyon1.fr

% entres et divers calculs
fe=input('Entrez la frquence d''chantillonnage : ');
h=1/fe;
tdis=0:h:2;
fdis=exp(tdis)+cos(20*tdis);
tgra=linspace(0,2,1000);
fgra=exp(tgra)+cos(20*tgra);
% calcul de la drives premire approche 
vitdis=diff(fdis)/h;
tvitdis=tdis(1:end-1)+h/2;
% calcul de la drives premire exacte
fdexac=exp(tgra)-20*sin(20*tgra);
% calcul de la drive seconde approche 
accdis=(fdis(1:end-2)-2*fdis(2:end-1)+fdis(3:end))/h^2;
taccdis=tdis(2:end-1);
% calcul de la drive seconde exacte
fddexac=exp(tgra)-20^2*cos(20*tgra);
% graphiques
clf;
subplot(3,1,1);
hold on;
title('Fonction');
plot(tgra,fgra,'r',tdis,fdis,'og');
legend('fonction','valeurs chantillonnes',0);
hold off;
subplot(3,1,2);
hold on;
title('Drive');
plot(tgra,fdexac,'r',tvitdis,vitdis,'og');
legend('exacte','approche',0);
hold off;
subplot(3,1,3);
hold on;
title('Drive seconde');
plot(tgra,fddexac,'r',taccdis,accdis,'og');
legend('exacte','approche',0);
hold off;
