% script : exemple_vitacc_donnees.m : approximation des drives
% premires et secondes de donnes chantillonnes 
%
% 2007 by          Jrme BASTIEN
%                  Universit Claude Bernard Lyon I, UFRSTAPS, Laboratoire CRIS, Villeurbanne
%                  E-Mail : jerome.bastien@univ-lyon1.fr

% lecture des donnes
nomfic='donneeshanche';
namefic=[nomfic,'.txt'];
B=dlmread(namefic,'\t',4,0);
HX=B(:,1);
HY=-B(:,2);
Btxt=textread([nomfic,'.txt'],'%s','whitespace','\b\r\n\t%%',...
     'commentstyle','matlab');
c=Btxt(3);
fe=str2num(c{1});
% Divers calculs
h=1/fe;
tdis=(h*(0:length(HX)-1)).';
% calcul de la drives premire approche de l'abscisse de la Hanche
vitdisx=diff(HX)/h;
tvitdisx=tdis(1:end-1)+h/2;
% calcul de la drive seconde approche de l'abscisse de la Hanche
accdisx=(HX(1:end-2)-2*HX(2:end-1)+HX(3:end))/h^2;
taccdisx=tdis(2:end-1);
% calcul de la drives premire approche de l'ordonne de la Hanche
vitdisy=diff(HY)/h;
tvitdisy=tdis(1:end-1)+h/2;
% calcul de la drive seconde approche de l'ordonne de la Hanche
accdisy=(HY(1:end-2)-2*HY(2:end-1)+HY(3:end))/h^2;
taccdisy=tdis(2:end-1);
% graphiques
clf;
subplot(3,1,1);
plot(tdis,HX,'og',tdis,HX,'r');
title('Abscisse de la hanche');
subplot(3,1,2);
plot(tvitdisx,vitdisx,'og',tvitdisx,vitdisx,'r');
title('Drive de l''abscisse de la hanche');
subplot(3,1,3);
plot(taccdisx,accdisx,'og',taccdisx,accdisx,'r');
title('Drive seconde de l''abscisse de la hanche');
disp('Appuyez sur une touche pour continuer');
pause;
clf;
subplot(3,1,1);
plot(tdis,HY,'og',tdis,HY,'r');
title('Ordonne de la hanche');
subplot(3,1,2);
plot(tvitdisy,vitdisy,'og',tvitdisy,vitdisy,'r');
title('Drive de l''ordonne de la hanche');
subplot(3,1,3);
plot(taccdisy,accdisy,'og',taccdisy,accdisy,'r');
title('Drive seconde de l''ordonne de la hanche');