% script : exemple_vitaccnorm_donnees : approximation des 
% vitesses et acclration d'un point matriel  partir de 
% donnes chantillonne
%
% 2007 by          Jrme BASTIEN
%                  Universit Claude Bernard Lyon I, UFRSTAPS, Laboratoire CRIS, Villeurbanne
%                  E-Mail : jerome.bastien@univ-lyon1.fr

% lecture des donnes
nomfic='donneeshanche';
namefic=[nomfic,'.txt'];
B=dlmread(namefic,'\t',4,0);
HX=B(:,1);
HY=-B(:,2);
Btxt=textread([nomfic,'.txt'],'%s','whitespace','\b\r\n\t%%',...
     'commentstyle','matlab');
c=Btxt(3);
fe=str2num(c{1});
% Divers calculs
h=1/fe;
tdis=(h*(0:length(HX)-1)).';
% calcul de la drives premire approche de l'abscisse de la Hanche
vitdisx=diff(HX)/h;
tvitdis=tdis(1:end-1)+h/2;
% calcul de la drive seconde approche de l'abscisse de la Hanche
accdisx=(HX(1:end-2)-2*HX(2:end-1)+HX(3:end))/h^2;
taccdis=tdis(2:end-1);
% calcul de la drives premire approche de l'ordonne de la Hanche
vitdisy=diff(HY)/h;
% calcul de la drive seconde approche de l'ordonne de la Hanche
accdisy=(HY(1:end-2)-2*HY(2:end-1)+HY(3:end))/h^2;
% calcul des normes
normvitdis=sqrt(vitdisx.^2+vitdisy.^2);
normaccdis=sqrt(accdisx.^2+accdisy.^2);
% graphiques
clf;
subplot(3,1,1);
plot(HX,HY,'og',HX,HY,'r');
title('Positions de la hanche');
subplot(3,1,2);
plot(tvitdis,normvitdis,'og',tvitdis,normvitdis,'r');
title('Norme de la vitesse de la hanche');
subplot(3,1,3);
plot(taccdis,normaccdis,'og',taccdis,normaccdis,'r');
title('Acclration de la hanche');
