function [CX,CY,fe]=litfichierdonneskino(nomfic)

% lecture du fichier de donnes d'un kinogramme et stockage des coordonnes
%
% *********************************************************
%  [CX,CY,fe]=litfichierdonneskino(nomfic)
%
% Lit le fichier de donnes texte (de type donneeskinogtapoint.txt)
%
%  Variables d'entres : 
%     *  nomfic : nom du fichier texte sans l'extension txt
%  Variables de sortie :
%     *  CX :  tableau de type (n+1,p) o pour tout i dans {0,...,n}, 
%                                         pour tout j dans {1,...,p},
%              CX(i+1,j) est l'abscisse de A_j  l'instant t_i=i/fe
%     *  CY :  tableau de type (n+1,p) o pour tout i dans {0,...,n}, 
%                                         pour tout j dans {1,...,p},
%              CY(i+1,j) est l'ordonne de A_j  l'instant t_i=i/fe
%    *  fe : frquence d'acquisition
%
%
% ************ Fonctions auxiliaires utilises ************
%
%    aucune
%
% *********************************************************
%
% 2007 by          Jrme BASTIEN
%                  Universit Claude Bernard Lyon I, UFRSTAPS, Laboratoire CRIS, Villeurbanne
%                  E-Mail : jerome.bastien@univ-lyon1.fr

namefic=[nomfic,'.txt'];
B=dlmread(namefic,'\t',11,0);
CX=B(:,1:2:end-1);
CY=B(:,2:2:end);
Btxt=textread([nomfic,'.txt'],'%s','whitespace','\b\r\n\t%%',...
     'commentstyle','matlab');
c=Btxt(2);
fe=str2num(c{1});