% script : test_reconst_angle_sym : test de la fonction reconst_angle en symbolique
% 
% Utilisation d'une variable symbolique Theta,
%              tableau de type (n+1,p-1) o pour tout i dans {0,...,n}, 
%                                         pour tout j dans {1,...,p-1},
%              theta(i+1,j) est l'angle articulaire (A{j-1}_A_{j},A{j}_A_{j+1})
%               l'instant t_i=i/fe

%
%
% 2007 by          Jrme BASTIEN
%                  Universit Claude Bernard Lyon I, UFRSTAPS, Laboratoire CRIS, Villeurbanne
%                  E-Mail : jerome.bastien@univ-lyon1.fr

clear all;
n=input('Entre le nombre d''instant moins 1 : ');
p=input('Entre le nombre de points : ');
if (p==0)
   error('ATTENTION : pas de point !'); 
end
if (n==-1)
   error('ATTENTION : pas de temps !'); 
end
for i=0:n
    for j=1:p-1
        eval(['syms ','theta',int2str(i),'_',int2str(j),';']);
    end
end
for j=1:p-1
    eval(['syms ','L',int2str(j),';']);
end
for i=0:n
    eval(['syms ','x',int2str(i),'_1;']);
end
for i=0:n
    eval(['syms ','y',int2str(i),'_1;']);
end
Theta=sym([]);
L=sym([]);
X=sym([]);
Y=sym([]);
for i=0:n
    for j=1:p-1
        eval(['Theta(',int2str(i+1),',',int2str(j),')=theta',int2str(i),'_',int2str(j),';']);
    end
end
for j=1:p-1
    eval(['L(',int2str(j),')=L',int2str(j),';']);
end

for i=0:n
    eval(['X(',int2str(i+1),')=x',int2str(i),'_1;']);
end
for i=0:n
    eval(['Y(',int2str(i+1),')=y',int2str(i),'_1;']);
end
X=X.';
Y=Y.';
[Xn,Yn]=reconst_angle(L,Theta,X,Y);
for i=0:n
    disp(['Valeurs de X  l''instant ',int2str(i)]);
    pretty(Xn(i+1,:));
    disp('Appuyez sur une touche pour continuer');
    pause;
end
for i=0:n
    disp(['Valeurs de Y  l''instant ',int2str(i)]);
    pretty(Yn(i+1,:));
    disp('Appuyez sur une touche pour continuer');
    pause;
end
