function tracecoordvitacc_ang(fe,theta,dtheta,ddtheta,nomfic,nomeps)

% affichage des angles,  vitesse (approches) et acclrations (approches )
% au cours du temps
%
% *********************************************************
% tracecoordvitacc_ang(fe,theta,dtheta,ddtheta,nomfic,nomeps) : 
%
%  * Variables d'entre :
%     *  fe : frquence d'acquisition
%     * theta : tableau de type (n+1,p-1) o pour tout i dans {0,...,n}, 
%                                         pour tout j dans {1,...,p-1},
%              theta(i+1,j) est l'angle articulaire (A{j-1}_A_{j},A{j}_A_{j+1})
%               l'instant t_i=i/fe
%     * dtheta : tableau de type (n,p-1) o pour tout i dans {0,...,n}, 
%                                         pour tout j dans {1,...,p-1},
%              dtheta(i+1,j) est la vitesse approche de l'angle articulaire (A{j-1}_A_{j},A{j}_A_{j+1})
%               l'instant t_i+t_{i+1})/2
%     * ddtheta : tableau de type (n-1,p-1) o pour tout i dans {1,...,n-1}, 
%                                         pour tout j dans {1,...,p-1},
%              dtheta(i+1,j) est l'accalration aproche de l'angle articulaire (A{j-1}_A_{j},A{j}_A_{j+1})
%               l'instant t_i
%
%  * Variables d'entre facultative (dans l'ordre)
%     *  nomfic : nom du fichier texte sans l'extension txt (pour le titre)
%     *  nomeps : nom du fichier de stockage de la figure eps (sans
%                    extension eps)
%
%
% ************ Fonctions auxiliaires utilises ************
%
%    aucune
%
% *********************************************************
%
% (c) 2007 by      Jrme BASTIEN 
%                  Universit Lyon I, Laboratoire CRIS, Villeurbanne
%                  E-Mail : jerome.bastien@utbm.fr

[q,j]=size(theta);
legne=[''];
for k=1:j-1
   legne=[legne,'''',int2str(k),'''',','];
end
legne=[legne,'''',int2str(j),''''];
temps=(0:q-1)/fe;
tempsvit=temps(1:end-1)+1/(2*fe);
tempsacc=temps(2:end-1);
clf;
subplot(3,1,1)
hold on;
if (nargin>=5)
    title(['angles (en degrs) au cours du temps pour ',nomfic]);
end
plot(temps,theta/pi*180);
dud=version;
if (str2num(dud(1))>=7)
    eval(['legend(',legne,',''location'',''best'')']);
else
    eval(['legend(',legne,',0)']);
end  
hold off;
subplot(3,1,2)
hold on;
if (nargin>=5)
    title(['vitesses angulaires (en degrs/s) approches au cours du temps pour ',nomfic]);
end
plot(tempsvit,dtheta/pi*180);
dud=version;
if (str2num(dud(1))>=7)
    eval(['legend(',legne,',''location'',''best'')']);
else
    eval(['legend(',legne,',0)']);
end  
hold off;
subplot(3,1,3)
hold on;
if (nargin>=5)
    title(['acclration angulaires (en degrs/s^2) approches au cours du temps pour ',nomfic]);
end
plot(tempsacc,ddtheta/pi*180);
dud=version;
if (str2num(dud(1))>=7)
    eval(['legend(',legne,',''location'',''best'')']);
else
    eval(['legend(',legne,',0)']);
end  
hold off;
if nargin==6
   eval(['print -depsc ',nomeps,'abs.eps;']); 
end