function D=diff_div_dist(X,Y)
% 
%
%	diff_div_dist : calcul des diffrences divises pour des points de supports distincts
%
% *********************************************************
%
%	D=diff_div_dist(X,Y)
%     les diffrences divises sont calcules par l'algorithme 
%     pyramidal donn en cours.
%
%	variables d'entres : 
%     * X : contient les valeurs x_i, pour 0 <=i<=n (deux  deux distinctes)
%     * Y : contient les valeurs f(x_i), pour 0 <=i<=n
%
%	variables de sortie
%     * D : contient les diffrences divises 	
%           f[x_0], f[x_0,x_1], ...., f[x_0,x_1,...,x_n]
%
%
% ************ Fonctions auxiliaires utilises ************
%
%       aucune
%
% *********************************************************



% Contrles d'entre
%
% nombre d'arguments
if nargin~=2
   error('nombre d''arguments de la fonction incorrect');
end
% taille des deux variables 
n=length(X)-1;
np=length(Y)-1;
if n~=np
   error('les deux tableaux n''ont pas la mme taille');
end
% vrification des lments du support deux  deux disjoints 
% (si X non formel)
if isnumeric(X)
   Z=sort(X);
   if min(diff(Z))==0
      error('deux points du support sont gaux');
   end
end


% Corps d'algorithme
D=Y;   
for i=1:n;
   for j=n:-1:i;
      D(j+1)=(D(j+1)-D(j))/(X(j+1)-X(j-i+1));
   end
end



