% script : exemple_interpolation_der_poly
% interpolation polynomiale de la fonction 1/(1+x^2) sur [-3,3] et calculs des drives 1  3
% par diffrentes mthodes
%
%
% ************ Fonctions auxiliaires utilises ************
%
%       aucune
%
% *********************************************************
%
% 2007 by          Jrme BASTIEN
%                  Universit Claude Bernard Lyon I, UFRSTAPS, Laboratoire CRIS, Villeurbanne
%                  E-Mail : jerome.bastien@univ-lyon1.fr


n=input('Entrez le nombre de points : ');
disp('Entrez le choix du type d''interpolation : ')
cho=input('m (moindres carrs), s (spline cubique) ou p (Hermite) : ','s');
if strcmp(cho,'m')
   q=input('Entrez le degr du polynme choisi : ');
end
X=linspace(-3,3,n);
Y=1./(1+X.^2);
fcn0=vectorize(inline('1/(1+x^2)'));
fcn1=vectorize(inline('-2/(1+x^2)^2*x'));
fcn2=vectorize(inline('8/(1+x^2)^3*x^2-2/(1+x^2)^2'));
fcn3=vectorize(inline('-48/(1+x^2)^4*x^3+24/(1+x^2)^3*x'));
Xgra=linspace(-3,3,1e4);
Xcal=linspace(-3,3,1e5);
if strcmp(cho,'m')
    [pp0,S]=polyfit(X,Y,q);
    for i=1:3
       eval(['pp',int2str(i),'=','polyder(pp',int2str(i-1),');']);    
    end
else
    if strcmp(cho,'s')
        pp0=spline(X,Y);
    else
        pp0=pchip(X,Y);
    end
    for i=1:3
       eval(['pp',int2str(i),'=','fnder(pp',int2str(i-1),');']);    
    end
end    
clf;
for i=0:3
    eval(['Ygraexa=feval(fcn',int2str(i),',Xgra);']);
    if strcmp(cho,'m')
        eval(['Y=polyval(pp',int2str(i),',X);']);
        eval(['y=polyval(pp',int2str(i),',Xcal);']);
        eval(['Ygra=polyval(pp',int2str(i),',Xgra);']);
    else
        eval(['Y=ppval(pp',int2str(i),',X);']);
        eval(['y=ppval(pp',int2str(i),',Xcal);']);
        eval(['Ygra=ppval(pp',int2str(i),',Xgra);']);
    end
    eval(['ec=max(abs(feval(fcn',int2str(i),',Xcal)-y));']);
    subplot(4,1,i+1);
    hold on;
    title(['Drive d''ordre',int2str(i),' ; cart : ',num2str(ec),]);
    plot(Xgra,Ygra,'r',Xgra,Ygraexa,'g'); 
    dud=version;
    if (str2num(dud(1))>=7)
        legend('fonction interpolatrice','fonction initiale','location','best');
    else
        legend('fonction interpolatrice','fonction initiale',0);
    end    
    hold off;
end