% script : exemple_interpolation_interp1
% diffrents exemples d'interpolation avec interp1
% appliqus  la fonction 1/(1+x^2) sur [-3,3]
%
% 2007 by          Jrme BASTIEN
%                  Universit Claude Bernard Lyon I, UFRSTAPS, Laboratoire CRIS, Villeurbanne
%                  E-Mail : jerome.bastien@univ-lyon1.fr
%
% ************ Fonctions auxiliaires utilises ************
%
%       aucune
%
% *********************************************************


n=input('Entrez le nombre de points : ');
disp('Entrez le choix du type d''interpolation : ')
cho=input('n (nearest), l (linear), s (spline cubique) ou p (Hermite) : ','s');
switch cho
    case 'n'
        method='nearest';
    case 'l'
        method='linear';
    case 's'
        method='spline';
    case 'p'
        method='pchip';
end    
X=linspace(-3,3,n);
Y=1./(1+X.^2);
Xgra=linspace(-3,3,1000);
Ygra=interp1(X,Y,Xgra,method);
clf;
hold on;
plot(Xgra,Ygra,'r',X,Y,'og');
dud=version;
if (str2num(dud(1))>=7)
    legend('fonction interpolatrice','fonction initiale','location','best');
else
    legend('fonction interpolatrice','fonction initiale',0);
end    
plot(Xgra,1./(1+Xgra.^2),'g');
hold off;
