% script : exemple_lissage : exemple de lissage
% par utilisation de polyfit ou csaps
%
% 2007 by          Jrme BASTIEN
%                  Universit Claude Bernard Lyon I, UFRSTAPS, Laboratoire CRIS, Villeurbanne
%                  E-Mail : jerome.bastien@univ-lyon1.fr

% lecture des donnes
nomfic='../lecture kinogramme/donneeshanche';
namefic=[nomfic,'.txt'];
B=dlmread(namefic,'\t',4,0);
HX=B(:,1);
HY=-B(:,2);
Btxt=textread([nomfic,'.txt'],'%s','whitespace','\b\r\n\t%%',...
     'commentstyle','matlab');
c=Btxt(3);
fe=str2num(c{1});
cho=input('Entrez m (polyfit) ou  c (csaps) : ','s');
% Divers calculs
h=1/fe;
tdis=(h*(0:length(HX)-1)).';
tgra=linspace(0,h*(length(HX)-1),1000);
% calcul de la drives premire approche de l'abscisse de la Hanche
vitdisx=diff(HX)/h;
tvitdisx=tdis(1:end-1)+h/2;
% calcul de la drive seconde approche de l'abscisse de la Hanche
accdisx=(HX(1:end-2)-2*HX(2:end-1)+HX(3:end))/h^2;
taccdisx=tdis(2:end-1);
% calcul de la drives premire approche de l'ordonne de la Hanche
vitdisy=diff(HY)/h;
tvitdisy=tdis(1:end-1)+h/2;
% calcul de la drive seconde approche de l'ordonne de la Hanche
accdisy=(HY(1:end-2)-2*HY(2:end-1)+HY(3:end))/h^2;
taccdisy=tdis(2:end-1);
% filtrage des dplacements par polyfit ou csaps
if strcmp(cho,'m')
    valpolyfit=[0,6,12];
    lvalpolyfit=length(valpolyfit);
    for j=1:lvalpolyfit
        eval(['ppX0_',int2str(j),'=polyfit(tdis,HX,',num2str(fix(10*(j-1)/5)),');']);        
        eval(['ppY0_',int2str(j),'=polyfit(tdis,HY,',num2str(fix(10*(j-1)/5)),');']);        
    end
else
    valcsaps=[0,0.999,1];
    lvalcsaps=length(valcsaps);
    for j=1:lvalcsaps;
        eval(['ppX0_',int2str(j),'=csaps(tdis,HX,',num2str(valcsaps(j)),');']);        
        eval(['ppY0_',int2str(j),'=csaps(tdis,HY,',num2str(valcsaps(j)),');']);        
    end
end    
% calcul et valuation des drives par fndr ou polyder
if strcmp(cho,'m')
    for i=1:2
        for j=1:lvalpolyfit;
           eval(['ppX',int2str(i),'_',int2str(j),'=','polyder(ppX',int2str(i-1),'_',int2str(j),');']);
           eval(['ppY',int2str(i),'_',int2str(j),'=','polyder(ppY',int2str(i-1),'_',int2str(j),');']);
        end
    end
else
    for i=1:2
        for j=1:lvalcsaps;
           eval(['ppX',int2str(i),'_',int2str(j),'=','fnder(ppX',int2str(i-1),'_',int2str(j),');']);
           eval(['ppY',int2str(i),'_',int2str(j),'=','fnder(ppY',int2str(i-1),'_',int2str(j),');']);
        end
    end
end
if strcmp(cho,'m')
    for i=0:2
        eval(['Xgra',int2str(i),'=zeros(lvalpolyfit,length(tgra));']);
        eval(['Ygra',int2str(i),'=zeros(lvalpolyfit,length(tgra));']);
    end
else
    for i=0:2
        eval(['Xgra',int2str(i),'=zeros(lvalcsaps,length(tgra));']);
        eval(['Ygra',int2str(i),'=zeros(lvalcsaps,length(tgra));']);
    end
end
if strcmp(cho,'m')
    for i=0:2
        for j=1:lvalpolyfit
            eval(['Xgra',int2str(i),'(',int2str(j),',:)','=polyval(','ppX',int2str(i),'_',int2str(j),',tgra);']);
            eval(['Ygra',int2str(i),'(',int2str(j),',:)','=polyval(','ppY',int2str(i),'_',int2str(j),',tgra);']);
        end
    end
else
    for i=0:2
        for j=1:lvalcsaps
            eval(['Xgra',int2str(i),'(',int2str(j),',:)','=fnval(','ppX',int2str(i),'_',int2str(j),',tgra);']);
            eval(['Ygra',int2str(i),'(',int2str(j),',:)','=fnval(','ppY',int2str(i),'_',int2str(j),',tgra);']);
        end
    end
end
% graphiques
clf;
subplot(3,1,1);
hold on;
plot(tdis,HX,'og',tgra,Xgra0);
title('Abscisse de la hanche');
subplot(3,1,2);
plot(tvitdisx,vitdisx,'og',tgra,Xgra1);
title('Drive de l''abscisse de la hanche');
subplot(3,1,3);
plot(taccdisx,accdisx,'og',tgra,Xgra2);
title('Drive seconde de l''abscisse de la hanche');
disp('Appuyez sur une touche pour continuer');
pause;
clf;
subplot(3,1,1);
plot(tdis,HY,'og',tgra,Ygra0);
title('Ordonne de la hanche');
subplot(3,1,2);
plot(tvitdisy,vitdisy,'og',tgra,Ygra1);
title('Drive de l''ordonne de la hanche');
subplot(3,1,3);
plot(taccdisy,accdisy,'og',tgra,Ygra2);
title('Drive seconde de l''ordonne de la hanche');