function R=test_diff_div_dist(T,X,Y)	

% test_diff_div_dist : fonction test pour le calcul du polynme interpolateur (vectoriel)
%
%
% *********************************************************
%
%	R=test_diff_div_dist(T,X,Y)	
%     calcul de la valeur du polynme d'interpolation dfini par le nuage de point X,Y
%     sur le tableau T (utilisation du calcul des diffrences divises et 
%     de l'algorithme d'valuation de Horner).
%
%	variables d'entres : 
%     * T : contient le tableau rectangulaire des rels o est valu p_n
%     * X : contient les valeurs x_i, pour 0 <=i<=n (deux  deux distinctes)
%     * Y : contient les valeurs f(x_i), pour 0 <=i<=n
%
%	variables de sortie
%     * R : contient le tableau rectangulaire des images de T par p_n,
%           polynme d'interpolation de f sur le support x_i, pour 0 <=i<=n
%
% 
% ************ Fonctions auxiliaires utilises ************
%
%     diff_div_dist, eval_horner
%
% *********************************************************


D=diff_div_dist(X,Y);
R=eval_horner(T,X(1:end-1),D);

