% script : test_reconst_angle_der : test de la fonction reconst_angle_der
%
% Utilisation d'une variable symbolique Theta,
%              tableau de type (n+1,p-1) o pour tout i dans {0,...,n}, 
%                                         pour tout j dans {1,...,p-1},
%              theta(i+1,j) est l'angle articulaire (A{j-1}_A_{j},A{j}_A_{j+1})
%               l'instant t_i=i/fe
%
%
%
% 2007 by          Jrme BASTIEN
%                  Universit Claude Bernard Lyon I, UFRSTAPS, Laboratoire CRIS, Villeurbanne
%                  E-Mail : jerome.bastien@univ-lyon1.fr

q=input('Entre le nombre maximum de drivation, infrieur  2 : ');
n=input('Entre le nombre d''instant moins 1 : ');
p=input('Entre le nombre de points : ');
if (p==0)
   error('ATTENTION : pas de point !'); 
end
if (n==-1)
   error('ATTENTION : pas de temps !'); 
end
for i=0:n
    for j=1:p-1
        eval(['syms ','theta',int2str(i),'_',int2str(j),';']);
        if (q==2)
            eval(['syms ','ddtheta',int2str(i),'_',int2str(j),';']);
        end
        if (q>=1)
            eval(['syms ','dtheta',int2str(i),'_',int2str(j),';']);
        end
    end
end
for j=1:p-1
    eval(['syms ','L',int2str(j),';']);
end
for i=0:n
    eval(['syms ','x',int2str(i),'_1;']);
    if (q==2)
        eval(['syms ','ddx',int2str(i),'_1;']);
    end
    if (q>=1)
        eval(['syms ','dx',int2str(i),'_1;']);
    end
end
for i=0:n
    eval(['syms ','y',int2str(i),'_1;']);
    if (q==2)
        eval(['syms ','ddy',int2str(i),'_1;']);
    end
    if (q>=1)
        eval(['syms ','dy',int2str(i),'_1;']);
    end
end
Theta=sym([]);
if (q==2)
   ddTheta=sym([]);
end
if (q>=1)
   dTheta=sym([]);
end
L=sym([]);
X=sym([]);
Y=sym([]);
if (q==2)
    ddX=sym([]);
    ddY=sym([]);
end
if (q>=1)
    dX=sym([]);
    dY=sym([]);
end
for i=0:n
    for j=1:p-1
        eval(['Theta(',int2str(i+1),',',int2str(j),')=theta',int2str(i),'_',int2str(j),';']);
        if (q==2)
            eval(['ddTheta(',int2str(i+1),',',int2str(j),')=ddtheta',int2str(i),'_',int2str(j),';']);
        end
        if (q>=1)
            eval(['dTheta(',int2str(i+1),',',int2str(j),')=dtheta',int2str(i),'_',int2str(j),';']);
        end
    end
end
for j=1:p-1
    eval(['L(',int2str(j),')=L',int2str(j),';']);
end
for i=0:n
    eval(['X(',int2str(i+1),')=x',int2str(i),'_1;']);
    if (q==2)
        eval(['ddX(',int2str(i+1),')=ddx',int2str(i),'_1;']);
    end
    if (q>=1)
        eval(['dX(',int2str(i+1),')=dx',int2str(i),'_1;']);
    end
end
for i=0:n
    eval(['Y(',int2str(i+1),')=y',int2str(i),'_1;']);
    if (q==2)
        eval(['ddY(',int2str(i+1),')=ddy',int2str(i),'_1;']);
    end
    if (q>=1)
        eval(['dY(',int2str(i+1),')=dy',int2str(i),'_1;']);
    end
end
X=X.';
Y=Y.';
if (q==2)
    ddX=ddX.';
    ddY=ddY.';
end
if (q>=1)
    dX=dX.';
    dY=dY.';
end
switch q
    case 0
        [Xn,Yn]=reconst_angle_der(L,Theta,X,Y);
    case 1
        [Xn,Yn,dXn,dYn]=reconst_angle_der(L,Theta,X,Y,dTheta,dX,dY);
    case 2
        [Xn,Yn,dXn,dYn,ddXn,ddYn]=reconst_angle_der(L,Theta,X,Y,dTheta,dX,dY,ddTheta,ddX,ddY);
end
disp('valeurs')
disp(Xn);
disp(Yn);
disp('Appuyez sur une touche pour continuer');
pause;
disp('valeurs des drives 1')
if (q>=1)
    disp(dXn);
    disp(dYn);
end
disp('Appuyez sur une touche pour continuer');
pause;
disp('valeurs des drives 2')
if (q==2)
    disp(ddXn);
    disp(ddYn);
end