function tracecoordvitaccB(fe,CX,CY,dXa,dYa,dna,ddXa,ddYa,ddna,...
                            q,CXn,CYn,dXan,dYan,dnan,ddXan,ddYan,ddnan,nomfic,nomtemps);

% affichage des coordonnes, vitesse et acclrations au cours du temps (brute (event. lisses) et enrichies)
%
% *********************************************************
%  tracecoordvitaccB(fe,CX,CY,dXa,dYa,dna,ddXa,ddYa,ddna,...
%                     q,CXn,CYn,dXan,dYan,dnan,ddXan,ddYan,ddnan,nomfic,nomtemps);
%
%  * Variables d'entre :
%    CES DONNEES CORRESPONDENT AU KINOGRAMME INITIAL
%     *  fe : frquence d'acquisition
%     *  CX :  tableau de type (n+1,p) o pour tout i dans {0,...,n}, 
%                                         pour tout j dans {1,...,p},
%              CX(i+1,j) est l'abscisse de A_j  l'instant t_i=i/fe
%     *  CY :  tableau de type (n+1,p) o pour tout i dans {0,...,n}, 
%                                         pour tout j dans {1,...,p},
%              CY(i+1,j) est l'ordonne de A_j  l'instant t_i=i/fe
%     *  dXa :  tableau de type (n+1,p) o pour tout i dans {0,...,n}, 
%                                          pour tout j dans {1,...,p},
%               dXa(i+1,j) est l'abscisse de la vitesse aproche de A_j  l'instant t_i
%     *  dYa :  tableau de type (n+1,p) o pour tout i dans {0,...,n}, 
%                                          pour tout j dans {1,...,p},
%               dXa(i+1,j) est l'ordonne de la vitesse aproche de A_j  l'instant t_i
%     *  dna :  tableau de type (n+1,p) o pour tout i dans {0,...,n}, 
%                                          pour tout j dans {1,...,p},
%               dna(i+1,j) est la norme de la vitesse aproche de A_j  l'instant t_i
%     *  ddXa :  tableau de type (n+1,p) o pour tout i dans {0,...,n}, 
%                                        pour tout j dans {1,...,p},
%               ddXa(i+1,j) est l'abscisse de l'acclration aproche de A_j  l'instant t_i
%     *  ddYa :  tableau de type (n+1,p) o pour tout i dans {0,...,n}, 
%                                        pour tout j dans {1,...,p},
%               ddYa(i+1,j) est l'ordonne de l'acclration aproche de A_j  l'instant t_i
%     *  ddna :  tableau de type (n+1,p) o pour tout i dans {0,...,n}, 
%                                        pour tout j dans {1,...,p},
%               ddna(i+1,j) est la norme de l'acclration aproche de A_j  l'instant t_i
%    CES DONNEES CORRESPONDENT AU KINOGRAMME ENRICHI ET EVENTUELLEMENT LISSE
%     * q : entier suprieur  un gal au rapport frquence enrichie/frquence initiale
%     *  CXn :  tableau de type (nr+1,p) o pour tout i dans {0,...,nr}, 
%                                          pour tout j dans {1,...,p},
%              CX(i+1,j) est l'abscisse de A_j  l'instant t_i=i/fer
%     *  CYn :  tableau de type (nr+1,p) o pour tout i dans {0,...,nr}, 
%                                          pour tout j dans {1,...,p},
%              CY(i+1,j) est l'ordonne de A_j  l'instant t_i=i/fer
%     *  dXa :  tableau de type (nr+1,p) o pour tout i dans {0,...,nr}, 
%                                           pour tout j dans {1,...,p},
%               dXa(i+1,j) est l'abscisse de la vitesse approche de A_j  l'instant
%               t_i=i/fer
%     *  dYa :  tableau de type (nr+1,p) o pour tout i dans {0,...,nr}, 
%                                           pour tout j dans {1,...,p},
%               dXa(i+1,j) est l'ordonne de la vitesse approche de A_j  l'instant
%               t_i=i/fer
%     *  dna :  tableau de type (nr+1,p) o pour tout i dans {0,...,nr}, 
%                                           pour tout j dans {1,...,p},
%               dna(i+1,j) est la norme de la vitesse approche de A_j  l'instant
%               t_i=i/fer
%     *  ddXa :  tableau de type (nr+1,p) o pour tout i dans {0,...,nr}, 
%                                           pour tout j dans {1,...,p},
%               dXa(i+1,j) est l'abscisse de l'acclration approche de A_j  l'instant
%               t_i=i/fer
%     *  ddYa :  tableau de type (nr+1,p) o pour tout i dans {0,...,nr}, 
%                                           pour tout j dans {1,...,p},
%               dXa(i+1,j) est l'ordonne de l'acclration approche de A_j  l'instant
%               t_i=i/fer
%     *  ddna :  tableau de type (nr+1,p) o pour tout i dans {0,...,nr}, 
%                                           pour tout j dans {1,...,p},
%               dna(i+1,j) est la norme de l'acclration approche de A_j  l'instant
%               t_i=i/fer
%
%  * Variables d'entre facultative (dans l'ordre)
%     *  nomfic : nom du fichier texte sans l'extension txt (pour le titre)
%     *  nomeps : nom du fichier de stockage de la figure eps (sans
%                    extension eps)
%
%
% ************ Fonctions auxiliaires utilises ************
%
%    aucune
%
% *********************************************************
%
% (c) 2007 by      Jrme BASTIEN 
%                  Universit Lyon I, Laboratoire CRIS, Villeurbanne
%                  E-Mail : jerome.bastien@utbm.fr

legne=[''];
[np,p]=size(CX);
n=np-1;
for k=1:p-1
   legne=[legne,'''',int2str(k),'''',','];
end
legne=[legne,'''',int2str(p),''''];
temps=(0:n)/fe;
tempsn=(0:q*n)/(q*fe);
tempsvit=temps(1:end-1)+1/(2*fe);
tempsacc=temps(2:end-1);
clf;
subplot(3,1,1)
hold on;
plot(tempsn,CXn);
if nargin>=19
    title(['abscisse de ',nomfic]);
end
dud=version;
if (str2num(dud(1))>=7)
    eval(['legend(',legne,',''location'',''best'')']);
else
    eval(['legend(',legne,',0)']);
end  
plot(temps,CX,'o:');
hold off;
subplot(3,1,2)
hold on;
plot(tempsn,dXan);
if nargin>=19
    title(['abscisse de la vitesse approche de ',nomfic]);
end
if (str2num(dud(1))>=7)
    eval(['legend(',legne,',''location'',''best'')']);
else
    eval(['legend(',legne,',0)']);
end  
plot(tempsvit,dXa,'o:');
hold off;
subplot(3,1,3)
hold on;
plot(tempsn,ddXan);
if nargin>=19
    title(['abscisse de l''acclration de approche de ',nomfic]);
end
if (str2num(dud(1))>=7)
    eval(['legend(',legne,',''location'',''best'')']);
else
    eval(['legend(',legne,',0)']);
end  
plot(tempsacc,ddXa,'o:');
hold off;
if nargin==20
   eval(['print -depsc ',nomeps,'abs.eps;']); 
end
disp('Appuyez sur une touche pour continuer');
pause;
clf;
subplot(3,1,1)
hold on;
plot(tempsn,CYn);
if nargin>=19
    title(['ordonne de ',nomfic]);
end
if (str2num(dud(1))>=7)
    eval(['legend(',legne,',''location'',''best'')']);
else
    eval(['legend(',legne,',0)']);
end  
plot(temps,CY,'o:');
hold off;
subplot(3,1,2)
hold on;
plot(tempsn,dYan);
if nargin>=19
    title(['ordonne de la vitesse approche de ',nomfic]);
end
if (str2num(dud(1))>=7)
    eval(['legend(',legne,',''location'',''best'')']);
else
    eval(['legend(',legne,',0)']);
end  
plot(tempsvit,dYa,'o:');
hold off;
subplot(3,1,3)
hold on;
plot(tempsn,ddYan);
if nargin>=19
    title(['ordonne de l''acclration de approche de ',nomfic]);
end
if (str2num(dud(1))>=7)
    eval(['legend(',legne,',''location'',''best'')']);
else
    eval(['legend(',legne,',0)']);
end  
plot(tempsacc,ddYa,'o:');
hold off;
if nargin==20
   eval(['print -depsc ',nomeps,'ord.eps;']); 
end
disp('Appuyez sur une touche pour continuer');
pause;
clf;
subplot(2,1,1)
hold on;
plot(tempsn,dnan);
if nargin>=19
    title(['norme de la vitesse approche de ',nomfic]);
end
if (str2num(dud(1))>=7)
    eval(['legend(',legne,',''location'',''best'')']);
else
    eval(['legend(',legne,',0)']);
end  
plot(tempsvit,dna,'o:');
hold off;
subplot(2,1,2)
hold on;
plot(tempsn,ddnan);
if nargin>=19
    title(['norme de l''accration approche de ',nomfic]);
end
if (str2num(dud(1))>=7)
    eval(['legend(',legne,',''location'',''best'')']);
else
    eval(['legend(',legne,',0)']);
end  
plot(tempsacc,ddna,'o:');
hold off;
if nargin==20
   eval(['print -depsc ',nomeps,'norm.eps;']); 
end
