function tracecoordvitacc_angB(fe,theta0,dtheta0,ddtheta0,q,theta,dtheta,ddtheta,nomfic,nomeps)


% affichage des angles, drives premires et secondes au cours du temps (brute (event. lisses) et enrichies)
%
%
% *********************************************************
% tracecoordvitacc_angB(fe,theta0,dtheta0,ddtheta0,q,theta,dtheta,ddtheta,nomfic,nomeps) : 
%
%  * Variables d'entre :
%    CES DONNEES CORRESPONDENT AU KINOGRAMME INITIAL : 
%     *  fe : frquence d'acquisition
%     * thetaO : tableau de type (n+1,p-1) o pour tout i dans {0,...,n}, 
%                                         pour tout j dans {1,...,p-1},
%              theta(i+1,j) est l'angle articulaire (A{j-1}_A_{j},A{j}_A_{j+1})
%               l'instant t_i=i/fe
%     * dthetaO : tableau de type (n,p-1) o pour tout i dans {0,...,n}, 
%                                         pour tout j dans {1,...,p-1},
%              dtheta(i+1,j) est la vitesse approche de l'angle articulaire (A{j-1}_A_{j},A{j}_A_{j+1})
%               l'instant t_i+t_{i+1})/2
%     * ddthetaO : tableau de type (n-1,p-1) o pour tout i dans {1,...,n-1}, 
%                                         pour tout j dans {1,...,p-1},
%              dtheta(i+1,j) est l'accalration aproche de l'angle articulaire (A{j-1}_A_{j},A{j}_A_{j+1})
%               l'instant t_i
%    CES DONNEES CORRESPONDENT AU KINOGRAMME ENRICHI ET EVENTUELLEMENT LISSE
%     * q : entier suprieur  un gal au rapport frquence enrichie/frquence initiale
%     * theta : tableau de type (nr+1,p-1) o pour tout i dans {0,...,nr}, 
%                                         pour tout j dans {1,...,p-1},
%              theta(i+1,j) est l'angle articulaire (A{j-1}_A_{j},A{j}_A_{j+1})
%               l'instant t_i=i/fer
%     * dtheta : tableau de type (nr+1,p-1) o pour tout i dans {0,...,nr}, 
%                                         pour tout j dans {1,...,p-1},
%              dtheta(i+1,j) est la vitesse de l'angle articulaire (A{j-1}_A_{j},A{j}_A_{j+1})
%               l'instant t_i
%     * ddtheta : tableau de type (nr+1,p-1) o pour tout i dans {0,...,nr}, 
%                                         pour tout j dans {1,...,p-1},
%              dtheta(i+1,j) est l'accalration de l'angle articulaire (A{j-1}_A_{j},A{j}_A_{j+1})
%               l'instant t_i
%
%  * Variables d'entre facultative (dans l'ordre)
%     *  nomfic : nom du fichier texte sans l'extension txt (pour le titre)
%     *  nomeps : nom du fichier de stockage de la figure eps (sans
%                    extension eps)
%
%
% ************ Fonctions auxiliaires utilises ************
%
%    aucune
%
% *********************************************************
%
% (c) 2007 by      Jrme BASTIEN 
%                  Universit Lyon I, Laboratoire CRIS, Villeurbanne
%                  E-Mail : jerome.bastien@utbm.fr

[qq,j]=size(theta0);
n=qq-1;
legne=[''];
for k=1:j-1
   legne=[legne,'''',int2str(k),'''',','];
end
legne=[legne,'''',int2str(j),''''];
tempsn=(0:q*n)/(q*fe);
temps=(0:n)/fe;
tempsvit=temps(1:end-1)+1/(2*fe);
tempsacc=temps(2:end-1);
clf;
subplot(3,1,1)
hold on;
if (nargin>=9)
    title(['angles (en degrs) au cours du temps pour ',nomfic]);
end
plot(tempsn,theta/pi*180);
dud=version;
if (str2num(dud(1))>=7)
    eval(['legend(',legne,',''location'',''best'')']);
else
    eval(['legend(',legne,',0)']);
end  
plot(temps,theta0/pi*180,'o:');
hold off;
subplot(3,1,2)
hold on;
if (nargin>=9)
    title(['vitesses angulaires (en degrs/s) approches au cours du temps pour ',nomfic]);
end
plot(tempsn,dtheta/pi*180);
dud=version;
if (str2num(dud(1))>=7)
    eval(['legend(',legne,',''location'',''best'')']);
else
    eval(['legend(',legne,',0)']);
end  
plot(tempsvit,dtheta0/pi*180,'o:');
hold off;
subplot(3,1,3)
hold on;
if (nargin>=9)
    title(['acclration angulaires (en degrs/s^2) approches au cours du temps pour ',nomfic]);
end
plot(tempsn,ddtheta/pi*180);
dud=version;
if (str2num(dud(1))>=7)
    eval(['legend(',legne,',''location'',''best'')']);
else
    eval(['legend(',legne,',0)']);
end  
plot(tempsacc,ddtheta0/pi*180,'o:');
hold off;
if nargin==10
   eval(['print -depsc ',nomeps,'angl.eps;']); 
end